Subject: Re: [PATCH for 3.19 3/3] rtlwifi: rtl8192ee: Fix several bugs

From: Larry Finger <[email-masked]>
Date: Thu, 15 Jan 2015 11:05:20 -0600

On 01/15/2015 05:42 AM, Kalle Valo wrote:
> Larry Finger <[email-masked]> writes:
>
>> From: Troy Tan <[email-masked]>
>>
>> The following bugs are fixed in this driver:
>> 1. Problems parsing C2H CMD
>> 2. An ad-hoc connection can cause a TX freeze.
>> 3. There are additional conditions that cause a TX freeze.
>> 4. The previous code failed to handle situations where an RX
>>     descriptor was unavailable.
>>
>> Signed-off-by: Troy Tan <[email-masked]>
>> Signed-off-by: Larry Finger <[email-masked]>
>
> Is this really so important that it should go to 3.19? A patch titled
> "Fix several bugs" immediately makes me cautious and then I look at the
> patch itself I see rewriting functions instead of simple bug fixes. From
> a quick look this looks more -next material than 3.19.

It is not a simple rewrite of functions. Tho mishandling of the descriptor ring 
buffer locks up the device and requires a cold boot. These patches prevent that 
from happening.

Yes, the patches are rather larger than I would like at the -rc4 stage, and I 
defer to your judgement. At least we have an external source of corrected code 
for users of 3.18 and 3.19.

Larry

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html